Bug 681262 (CVE-2011-1080) - CVE-2011-1080 kernel: ebtables stack infoleak
Summary: CVE-2011-1080 kernel: ebtables stack infoleak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1080
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110214,reported=20110228,sou...
Depends On: 681322 681323 681324 681325 681326 681327
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-01 15:32 UTC by Petr Matousek
Modified: 2019-06-08 18:45 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 14:07:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0498 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-05-10 18:10:04 UTC
Red Hat Product Errata RHSA-2011:0500 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-05-10 17:18:23 UTC
Red Hat Product Errata RHSA-2011:0833 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-05-31 14:05:42 UTC

Description Petr Matousek 2011-03-01 15:32:51 UTC
Description of problem:
Struct tmp is copied from userspace.  It is not checked whether the "name"
field is NULL terminated.  This may lead to buffer overflow and passing
contents of kernel stack as a module name to try_then_request_module() and,
consequently, to modprobe commandline.  It would be seen by all userspace
processes.

References:
http://seclists.org/oss-sec/2011/q1/309
https://lkml.org/lkml/2011/2/14/51

Acknowledgements:                                                                

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2011-04-07 00:37:42 UTC
Upstream commit:
http://git.kernel.org/linus/d846f711

Comment 4 errata-xmlrpc 2011-05-10 17:20:43 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0500 https://rhn.redhat.com/errata/RHSA-2011-0500.html

Comment 5 errata-xmlrpc 2011-05-10 18:11:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0498 https://rhn.redhat.com/errata/RHSA-2011-0498.html

Comment 6 errata-xmlrpc 2011-05-31 14:06:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0833 https://rhn.redhat.com/errata/RHSA-2011-0833.html


Note You need to log in before you can comment on or make changes to this bug.